/* ----------------------------------------------------------------------------
 * This file was automatically generated by SWIG (http://www.swig.org).
 * Version 1.3.36
 *
 * Do not make changes to this file unless you know what you are doing--modify
 * the SWIG interface file instead.
 * ----------------------------------------------------------------------------- */

package org.scilab.modules.xpad;


/**
   * @author Allan CORNET - DIGITEO 2009
   */
public class ScilabKeywords {

 /**
   * Constructor
   */
 protected ScilabKeywords() {
	 throw new UnsupportedOperationException();
 }
  public static String[] GetVariablesName() {
	  try {
		  return ScilabKeywordsJNI.GetVariablesName();
	  } catch (UnsatisfiedLinkError e) {
		  /* If the JNI connexion has been disable, we trap the
		   * exception and we return nothing */
		  return new String[]{""};
	  }
  }

  public static String[] GetCommandsName() {
	  try {
		  return ScilabKeywordsJNI.GetCommandsName();
	  } catch (UnsatisfiedLinkError e) {
		  /* If the JNI connexion has been disable, we trap the
		   * exception and we return nothing */
		  return new String[]{""};
	  }
  }

  public static String[] GetFunctionsName() {
	  try {
		  return ScilabKeywordsJNI.GetFunctionsName();
	  } catch (UnsatisfiedLinkError e) {
		  /* If the JNI connexion has been disable, we trap the
		   * exception and we return nothing */
		  return new String[]{""};
	  }
  }

  public static String[] GetMacrosName() {
	  try {
		  return ScilabKeywordsJNI.GetMacrosName();
	  } catch (UnsatisfiedLinkError e) {
		  /* If the JNI connexion has been disable, we trap the
		   * exception and we return nothing */
		  return new String[]{""};
	  }  }

}
